=== testing/base/CMakeLists.txt ===
add_morse_test(base_testing)
add_morse_test(pose_testing)
add_morse_test(vw_testing)
add_morse_test(odometry_testing)
add_morse_test(waypoint_testing)
add_morse_test(sick_testing)
add_morse_test(kuka_lwr_testing)
add_morse_test(semantic_camera_testing)
add_morse_test(ned_testing)
