=== src/morse/modifiers/CMakeLists.txt ===
# build and install C modifiers
INCLUDE_DIRECTORIES(${PYTHON3_INCLUDE_DIR})

ADD_LIBRARY (gaussian SHARED gaussian.c)
SET_TARGET_PROPERTIES (gaussian PROPERTIES PREFIX "")
SET_TARGET_PROPERTIES (gaussian PROPERTIES SUFFIX ".so")
TARGET_LINK_LIBRARIES (gaussian ${PYTHON3_LIBRARY})
INSTALL(TARGETS gaussian
		DESTINATION ${PYTHON_INSTDIR}/morse/modifiers)

# install python files
FILE(GLOB PYTHON_FILES *.py)
INSTALL(FILES ${PYTHON_FILES}
        DESTINATION ${PYTHON_INSTDIR}/morse/modifiers)
