=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/tarball\/(.+)$/morse-simulator_$1.orig.tar.gz/ \
https://github.com/laas/morse/tags .*/tarball/(\d[\d\.]+)
