## morse-simulator 0.6~alpha

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
 cmake_minimum_required(VERSION 2.6)
 
 set(PACKAGE_NAME morse)
-set(PACKAGE_VERSION 0.5.2)
+set(PACKAGE_VERSION "0.5.99") 
+
 
 option(BUILD_CORE_SUPPORT "Build and install morse core" ON)
-option(BUILD_DOC_SUPPORT "Build and install morse documentation (Requiere Sphinx)" ON)
+option(BUILD_DOC_SUPPORT "Build and install morse documentation (Requiere Sphinx)" OFF)
 
 option(BUILD_POCOLIBS_SUPPORT "Build pocolibs framework support" OFF)
 option(BUILD_YARP2_SUPPORT "Build yarp framework support" OFF)
@@ -34,7 +35,18 @@
 if(NOT PYTHON_INSTDIR)
 	SET(PYTHON_INSTDIR ${CMAKE_INSTALL_PREFIX}/${PYTHON_INSTALL}) 
 endif(NOT PYTHON_INSTDIR)
+if(WIN32)
+    STRING(REGEX REPLACE "\\\\" "/" PYTHON_INSTDIR ${PYTHON_INSTDIR})
+endif(WIN32)
 MESSAGE(STATUS "will install python files in ${PYTHON_INSTDIR}")
+
+# Compute revision
+ADD_CUSTOM_TARGET(revisiontag ALL)
+ADD_CUSTOM_COMMAND(TARGET revisiontag COMMAND ${CMAKE_COMMAND}
+	   -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} 
+	   -P ${CMAKE_CURRENT_SOURCE_DIR}/config/version.cmake)
+
+INSTALL(FILES ${CMAKE_BINARY_DIR}/version.py DESTINATION ${PYTHON_INSTDIR}/morse/)
 
 if (BUILD_YARP2_SUPPORT)
 	EXECUTE_PROCESS(COMMAND 
@@ -85,6 +97,21 @@
 		 REGEX .*clients.* EXCLUDE
 		)
 
+IF(WIN32)
+CONFIGURE_FILE(
+   ${CMAKE_CURRENT_SOURCE_DIR}/bin/morse.in
+   ${CMAKE_CURRENT_BINARY_DIR}/bin/morserun.py
+   )
+CONFIGURE_FILE(
+   ${CMAKE_CURRENT_SOURCE_DIR}/bin/multinode_server.in
+   ${CMAKE_CURRENT_BINARY_DIR}/bin/multinode_server.py
+   )
+INSTALL(PROGRAMS
+       ${CMAKE_CURRENT_BINARY_DIR}/bin/morserun.py
+       ${CMAKE_CURRENT_BINARY_DIR}/bin/multinode_server.py
+       DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
+       )
+ELSE(WIN32)
 CONFIGURE_FILE(
 	${CMAKE_CURRENT_SOURCE_DIR}/bin/morse.in
 	${CMAKE_CURRENT_BINARY_DIR}/bin/morse
@@ -103,6 +130,7 @@
 		${CMAKE_CURRENT_BINARY_DIR}/bin/multinode_server
 		DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
 	    )
+ENDIF(WIN32)
 ENDIF()
 
 ADD_SUBDIRECTORY(bindings)
@@ -130,26 +158,26 @@
 
 FIND_PROGRAM(SPHINX_BUILD NAMES sphinx-build)
 IF (NOT SPHINX_BUILD)
-	MESSAGE(STATUS "Can't find sphinx-build : will not build the documentation")
+	MESSAGE(FATAL_ERROR "Can't find sphinx-build : will not build the documentation")
 ELSE()
 	SET (SPHINX_OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/doc/html)
 	SET (SPHINX_LATEX_OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/doc/tex)
 	SET (SPHINX_MAN_OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/doc/man)
-	ADD_CUSTOM_COMMAND(
-		OUTPUT ${SPHINX_OUTPUT}
-		COMMAND ${SPHINX_BUILD} -b html
+	SET (SPHINX_BUILD_ENV env PYTHONPATH=$$PYTHONPATH:${CMAKE_CURRENT_BINARY_DIR}:${CMAKE_CURRENT_SOURCE_DIR}/src ${SPHINX_BUILD})
+	ADD_CUSTOM_TARGET(
+		doc ALL
+		COMMAND ${SPHINX_BUILD_ENV} -b html
 								-c ${CMAKE_CURRENT_BINARY_DIR}/doc
 								   ${CMAKE_CURRENT_SOURCE_DIR}/doc/morse
 								   ${SPHINX_OUTPUT}
 	)
-
-	ADD_CUSTOM_TARGET(doc ALL DEPENDS ${SPHINX_OUTPUT})
+	ADD_DEPENDENCIES(doc revisiontag)
 
 	FIND_PROGRAM(GZIP NAMES gzip)
 	IF (NOT GZIP)
 		MESSAGE(STATUS "Can't find gzip : will not build man pages")
 	ELSE()
-		ADD_CUSTOM_TARGET(man ALL COMMAND ${SPHINX_BUILD} -b man
+		ADD_CUSTOM_TARGET(man ALL COMMAND ${SPHINX_BUILD_ENV} -b man
 									-c ${CMAKE_CURRENT_BINARY_DIR}/doc
 									   ${CMAKE_CURRENT_SOURCE_DIR}/doc/man
         								   ${SPHINX_MAN_OUTPUT} &&
@@ -168,16 +196,8 @@
 			)
 
 	ADD_CUSTOM_TARGET(
-		force_doc
-		COMMAND ${SPHINX_BUILD} -b html 
-								-c ${CMAKE_CURRENT_BINARY_DIR}/doc/
-								${CMAKE_CURRENT_SOURCE_DIR}/doc/morse
-								${SPHINX_OUTPUT}
-	)
-
-	ADD_CUSTOM_TARGET(
-		latex_doc
-		COMMAND ${SPHINX_BUILD} -b latex
+		latex_doc 
+		COMMAND ${SPHINX_BUILD_ENV} -b latex
 								-c ${CMAKE_CURRENT_BINARY_DIR}/doc/
 								${CMAKE_CURRENT_SOURCE_DIR}/doc/morse
 								${SPHINX_LATEX_OUTPUT}
@@ -210,7 +230,7 @@
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
 SET(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README")
 
-SET(CPACK_DEBIAN_PACKAGE_DEPENDS "python3-dev")
+SET(CPACK_DEBIAN_PACKAGE_DEPENDS "python3.2-dev")
 SET(CPACK_DEBIAN_PACKAGE_HOMEPAGE "http://morse.openrobots.org")
 
 INCLUDE(CPack)
