=== src/morse/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 ADD_SUBDIRECTORY(builder)
 ADD_SUBDIRECTORY(modifiers)
+ADD_SUBDIRECTORY(sensors)
 endif()
 
 ADD_SUBDIRECTORY(multinode)
