=== src/morse/modifiers/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,11 @@
 
 ADD_LIBRARY (gaussian SHARED gaussian.c)
 SET_TARGET_PROPERTIES (gaussian PROPERTIES PREFIX "")
-SET_TARGET_PROPERTIES (gaussian PROPERTIES SUFFIX ".so")
+if (WIN32)
+    ADD_DEFINITIONS(-D_WIN32)
+else (WIN32)
+    SET_TARGET_PROPERTIES (gaussian PROPERTIES SUFFIX ".so")
+endif (WIN32)
 TARGET_LINK_LIBRARIES (gaussian ${PYTHON3_LIBRARY})
 INSTALL(TARGETS gaussian
 		DESTINATION ${PYTHON_INSTDIR}/morse/modifiers)
