=== src/morse/sensors/CMakeLists.txt ===
# build and install C sensors
INCLUDE_DIRECTORIES(${PYTHON3_INCLUDE_DIR})

#ADD_LIBRARY (sickc SHARED sickcmodule.c)
#SET_TARGET_PROPERTIES (sickc PROPERTIES PREFIX "")
#if (WIN32)
#    ADD_DEFINITIONS(-D_WIN32)
#else (WIN32)
#    SET_TARGET_PROPERTIES (sickc PROPERTIES SUFFIX ".so")
#endif (WIN32)
#TARGET_LINK_LIBRARIES (sickc ${PYTHON3_LIBRARY})
#INSTALL(TARGETS sickc
#		DESTINATION ${PYTHON_INSTDIR}/morse/sensors)

ADD_LIBRARY (zBuffTo3D SHARED zBuffTo3Dmodule.c)
SET_TARGET_PROPERTIES (zBuffTo3D PROPERTIES PREFIX "")
if (WIN32)
    ADD_DEFINITIONS(-D_WIN32)
else (WIN32)
    SET_TARGET_PROPERTIES (zBuffTo3D PROPERTIES SUFFIX ".so")
endif (WIN32)
TARGET_LINK_LIBRARIES (zBuffTo3D ${PYTHON3_LIBRARY})
INSTALL(TARGETS zBuffTo3D
		DESTINATION ${PYTHON_INSTDIR}/morse/sensors)


# install python files
FILE(GLOB PYTHON_FILES *.py)
INSTALL(FILES ${PYTHON_FILES}
        DESTINATION ${PYTHON_INSTDIR}/morse/sensors)
