=== testing/middlewares/yarp/CMakeLists.txt ===
add_morse_test(yarp_mw_testing)
