=== testing/robots/pr2/CMakeLists.txt ===
add_morse_test(jointstate)
