=== testing/robots/segway/CMakeLists.txt ===
add_morse_test(segway_vw)
