=== debian/changelog ===
morse-simulator (0.6~alpha-1~exp1) experimental; urgency=low

  * New upstream release (Fix problem with blender 2.65)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 10 Sep 2012 16:48:34 +0200
